package com.easefun.polyv.webview.activity;


import android.annotation.SuppressLint;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Toast;

import com.easefun.polyv.webview.R;
import com.google.zxing.integration.android.IntentIntegrator;
import com.google.zxing.integration.android.IntentResult;

@SuppressLint("ShowToast")
public class MainActivity extends Activity implements View.OnClickListener {
	EditText gotoPath;
	RadioGroup rdGroup;
	RadioButton rdAllow, rdDeny;
	Button gotoBtn, codeBtn;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		gotoPath = findViewById(R.id.goto_path);
		rdGroup = findViewById(R.id.rd_group);
		rdAllow = findViewById(R.id.rd_allow);
		rdDeny = findViewById(R.id.rd_deny);
		gotoBtn = findViewById(R.id.goto_btn);
		codeBtn = findViewById(R.id.code_btn);

		rdAllow.setOnClickListener(this);
		rdDeny.setOnClickListener(this);
		gotoBtn.setOnClickListener(this);
		codeBtn.setOnClickListener(this);
	}

	// Get the results:
	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		IntentResult result = IntentIntegrator.parseActivityResult(requestCode, resultCode, data);
		if (result != null) {
			if (result.getContents() == null) {
				Toast.makeText(this, "Cancelled", Toast.LENGTH_LONG).show();
			} else {
				Intent intent = new Intent(MainActivity.this, WebViewActivity.class);
				intent.putExtra("url", result.getContents());
				intent.putExtra("isMixedContentAllowed", rdAllow.isChecked());
				startActivity(intent);
			}
		} else {
			super.onActivityResult(requestCode, resultCode, data);
		}
	}

	@Override
	public void onClick(View v) {
		if (v.getId() == R.id.rd_allow
				|| v.getId() == R.id.rd_deny) {
			rdGroup.check(v.getId());
		} else if (v.getId() == R.id.goto_btn) {
			String url = gotoPath.getText().toString();
			if (TextUtils.isEmpty(url)) {
				Toast.makeText(MainActivity.this, "请输入URL", Toast.LENGTH_SHORT).show();
				return;
			}

			Intent intent = new Intent(MainActivity.this, WebViewActivity.class);
			intent.putExtra("url", url);
			intent.putExtra("isMixedContentAllowed", rdAllow.isChecked());
			startActivity(intent);
		} else if (v.getId() == R.id.code_btn) {
			IntentIntegrator integrator = new IntentIntegrator(MainActivity.this);
			integrator.setPrompt("扫描二维码");
			integrator.initiateScan();
		}
	}
}
